Params.common Class
Access point: ac.params.* Addon that provides access to any parameters given to the system
Item Index
Methods
all
()
Object
Alias for 'getAll'.
Returns:
Object:
all params.
body
(
String | Object
-
key
Alias for 'getFromBody'.
Parameters:
-
keyStringThe name of the parameter required.
Returns:
String | Object:
param value, or all params if no key
specified.
getAll
()
Object
Gets all params, keyed by 'route', 'url', 'body', and 'file'.
Returns:
Object:
all params.
getFromBody
(
String | Object
-
key
Gets body parameters
Parameters:
-
keyStringThe name of the parameter required.
Returns:
String | Object:
param value, or all params if no key
specified.
getFromMerged
(
String | Object
-
key
Gets all params merged into one object. Route -> URL -> Body precedence.
Parameters:
-
keyStringThe name of the parameter required.
Returns:
String | Object:
param value, or all params if no key
specified.
getFromRoute
(
String | Object
-
key
Gets route parameters
Parameters:
-
keyStringThe name of the parameter.
Returns:
String | Object:
param value, or all params if no key
specified.
getFromUrl
(
String | Object
-
key
Gets URL parameters
Parameters:
-
keyStringThe name of the parameter required.
Returns:
String | Object:
param value, or all params if no key
specified.
merged
(
String | Object
-
key
Alias for 'getFromMerged'.
Parameters:
-
keyStringThe name of the parameter required.
Returns:
String | Object:
param value, or all params if no key
specified.
route
(
String | Object
-
key
Alias for 'getFromRoute'.
Parameters:
-
keyStringThe name of the parameter required.
Returns:
String | Object:
param value, or all params if no key
specified.
url
(
String | Object
-
key
Alias for 'getFromUrl'.
Parameters:
-
keyStringThe name of the parameter required.
Returns:
String | Object:
param value, or all params if no key
specified.
